Open SCAP Library

Public Member Functions | Data Fields
xccdf_check_import Struct Reference
XCCDF

XCCDF check import. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_check_import * | xccdf_check_import_clone (const struct xccdf_check_import *old_import)
struct xccdf_check_import * | xccdf_check_import_new (void)
void | xccdf_check_import_free (struct xccdf_check_import *item)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_check_import_get_name (const struct xccdf_check_import *item)
const char * | xccdf_check_import_get_xpath (const struct xccdf_check_import *item)
const char * | xccdf_check_import_get_content (const struct xccdf_check_import *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_check_import_set_name (struct xccdf_check_import *obj, const char *newval)
bool | xccdf_check_import_set_xpath (struct xccdf_check_import *obj, const char *newval)
bool | xccdf_check_import_set_content (struct xccdf_check_import *obj, const char *newval)

## Data Fields
char * | name
char * | xpath
char * | content

## Detailed Description

XCCDF check import.

See also
  xccdf_check

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h